classification
Title: Ellipsis not copyable
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: aronacher, rhettinger
Priority: normal Keywords: patch

Created on 2008-03-22 23:32 by aronacher, last changed 2008-03-24 08:17 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
ellipsis.diff aronacher, 2008-03-22 23:32 Patch
Messages (2)
msg64347 - (view) Author: Armin Ronacher (aronacher) * (Python committer) Date: 2008-03-22 23:32
Currently python raises an exception if one tries to copy or deepcopy
Ellpisis.  The former is usually no problem but if an ellipsis ends up
on an object and becomes deepcopied this is pretty annoying.

The patch provided adds Ellipsis to the copy.py registry with the same
treatment None and other immutable types get.
msg64398 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-03-24 08:17
Thanks for the patch.  Applied in r61841.
History
Date User Action Args
2008-03-24 08:17:54rhettingersetstatus: open -> closed
resolution: accepted
messages: + msg64398
2008-03-23 01:15:01rhettingersetassignee: rhettinger
type: behavior -> enhancement
nosy: + rhettinger
versions: - Python 2.5
2008-03-22 23:32:54aronachercreate